Package org.apache.groovy.contracts.generation

# Class Configurator

java.lang.Object
org.apache.groovy.contracts.generation.Configurator

public final class Configurator extends Object

Handles `-ea` and `-da` runtime input arguments for enabling and disabling contract elements.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DISABLE_PACKAGE_ASSERTIONS`
  `static final String`
  `DISABLED_ASSERTIONS`
  `static final String`
  `ENABLE_PACKAGE_ASSERTIONS`
  `static final String`
  `ENABLED_ASSERTIONS`
  `static final String`
  `PACKAGE_POSTFIX`
  `static final String`
  `PACKAGE_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Configurator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `checkAssertionsEnabled(String className)`
  This static method is used within generated code to check whether assertions have been disabled for the current class or not.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DISABLED_ASSERTIONS

    public static final String DISABLED_ASSERTIONS
    See Also:
      - Constant Field Values

  - ### ENABLED_ASSERTIONS

    public static final String ENABLED_ASSERTIONS
    See Also:
      - Constant Field Values

  - ### PACKAGE_PREFIX

    public static final String PACKAGE_PREFIX
    See Also:
      - Constant Field Values

  - ### ENABLE_PACKAGE_ASSERTIONS

    public static final String ENABLE_PACKAGE_ASSERTIONS
    See Also:
      - Constant Field Values

  - ### DISABLE_PACKAGE_ASSERTIONS

    public static final String DISABLE_PACKAGE_ASSERTIONS
    See Also:
      - Constant Field Values

  - ### PACKAGE_POSTFIX

    public static final String PACKAGE_POSTFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Configurator

    public Configurator()

- ## Method Details

  - ### checkAssertionsEnabled

    public static boolean checkAssertionsEnabled(String className)
    This static method is used within generated code to check whether assertions have been disabled for the current class or not.
    Parameters:
      `className` - the class name to look up in the assertion configuration
    Returns:
      whether assertion checking is enabled or not